=== debian/changelog ===
zathura (0.3.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump B-Ds.
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/zathura.install: Fix install location.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Dec 2017 16:25:20 +0100
