=== debian/watch ===
version=4
https://pwmt.org/projects/zathura/download/ zathura-([0-9.]*)\.tar\.gz
