## zathura 0.4.0

=== meson_options.txt ===
option('enable-sqlite',
  type: 'boolean',
  value: true,
  description: 'Enable sqlite support if available.'
)
option('enable-synctex',
  type: 'boolean',
  value: true,
  description: 'Enable synctex support if available.'
)
option('enable-magic',
  type: 'boolean',
  value: true,
  description: 'Enable magic support if available.'
)
option('enable-seccomp',
  type: 'boolean',
  value: false,
  description: 'Enable experimental seccomp support if available.'
)
