=== debian/changelog ===
zathura (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches from upstream.
  * debian/control: Bump Build-Depends on girara.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 15:35:32 +0200

zathura (0.3.9-2) unstable; urgency=medium

  * debian/control:
    - Fix meson B-D.
    - Bump Standards-Version.
  * debian/patches: Port to newer libsynctex.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Apr 2018 13:15:53 +0200

zathura (0.3.9-1) unstable; urgency=medium

  * New upstream release.
    - Install icon. (LP: #1422145)
  * debian/control:
    - Bump Standards-Version.
    - Bump (Build-)Depends based on upstream requirements.
    - Convert zathura-dev to Arch: any.
  * debian/:
    - Bump debhelper compat to 11.
    - Convert to meson based buildsystem.
  * debian/dh: Improve dh_zathura to look at symbols and provide debhelper
    sequence.
  * debian/patches: Increase test timeout.
  * debian/copyright: Bump copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Mar 2018 10:35:55 +0100
