=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.2.8),
+ libgirara-dev (>= 0.3.0),
  libglib2.0-dev (>= 2.50),
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.22),
  libmagic-dev,
  libsqlite3-dev,
  libsynctex-dev,
+ meson (>= 0.45),
  pkg-config,
  check,
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -25,7 +26,7 @@
 Package: zathura
 Architecture: any
 Provides:
- ${zathura:Provides}
+ zathura-abi-4
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},
@@ -52,12 +53,14 @@
 
 Package: zathura-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.8),
- libgtk-3-dev,
- libcairo2-dev (>= 1.8.8)
+ libgirara-dev (>= 0.2.9),
+ libgtk-3-dev (>= 3.22),
+ libcairo2-dev (>= 1.8.8),
+ libset-scalar-perl
 Description: development files for zathura plugins
  zathura is a document viewer with a minimalistic and space saving interface.
  It can be extended to support other file formats via a plugin system.
