## zathura 0.4.1

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,6 @@
 )
 option('enable-seccomp',
   type: 'boolean',
-  value: false,
+  value: true,
   description: 'Enable experimental seccomp support if available.'
 )
