=== debian/changelog ===
zathura (0.4.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.
  * Add alternate D for zathura-pdf-mupdf.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Oct 2018 18:21:25 -0700

zathura (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Set Rules-Requires-Root: no.
  * debian/zathura.install: Install bash and zsh completions.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Sep 2018 21:35:21 +0200
