=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
  gettext,
  libcairo2-dev (>= 1.8.8),
  libgirara-dev (>= 0.3.0),
@@ -18,17 +18,18 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
+Rules-Requires-Root: no
 
 Package: zathura
 Architecture: any
 Provides:
  zathura-abi-4
 Depends:
- zathura-pdf-poppler,
+ zathura-pdf-mupdf | zathura-pdf-poppler,
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:
