=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Use all hardening flags for zathura
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# Disable check's timeout functionality
export CK_DEFAULT_TIMEOUT=0

%:
	dh $@

debian/dh/dh_zathura.1:
	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1

override_dh_auto_build: debian/dh/dh_zathura.1
	dh_auto_build

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym
