=== debian/changelog ===
zathura (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump meson B-D to 0.48.
    - Bump girara (B-)D to 0.3.2.
    - Add librsvg2-bin and libseccomp-dev to B-D.
    - Add appstream-util and desktop-file-utils to B-D for tests.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 22 Dec 2018 16:42:42 +0100
