=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11~),
- gettext,
+ debhelper (>= 11),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.0),
+ libgirara-dev (>= 0.3.2),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
+ librsvg2-bin,
  libsqlite3-dev,
+ libseccomp-dev,
  libsynctex-dev,
- meson (>= 0.45),
+ meson (>= 0.48),
  pkg-config,
+ appstream-util,
+ desktop-file-utils,
  check,
  xvfb,
  xauth,
@@ -29,7 +32,7 @@
 Provides:
  zathura-abi-4
 Depends:
- zathura-pdf-mupdf | zathura-pdf-poppler,
+ zathura-pdf-poppler,
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:
@@ -58,7 +61,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.2.9),
+ libgirara-dev (>= 0.3.2),
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl
