## zathura 0.4.5

=== debian/changelog ===
zathura (0.4.5-2) unstable; urgency=medium

  * debian/copyright: Document appstream data license
  * debian/control: Add dh-sequence-zathura Provides

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 15:27:59 +0100

zathura (0.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entry 0.0.8.2-1.
  * Update standards version to 4.4.1, no changes needed.

  [ Sebastian Ramacher ]
  * New upstream release
    - Fix mouse wheel zoom (Closes: #940815)
  * debian/copyright: Bump copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Jan 2020 10:54:47 +0100

zathura (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump debhelper compat to 12.
    - Bump Standards-Version.
    - Bump girara B-D to 0.3.3.
  * debian/zathura.install: Update install locations of completions.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 15:15:07 +0200
