=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.2),
+ libgirara-dev (>= 0.3.3),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
@@ -13,6 +13,7 @@
  libsqlite3-dev,
  libseccomp-dev,
  libsynctex-dev,
+ gettext,
  meson (>= 0.48),
  pkg-config,
  appstream-util,
@@ -21,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -65,6 +66,8 @@
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl
+Provides:
+ dh-sequence-zathura
 Description: development files for zathura plugins
  zathura is a document viewer with a minimalistic and space saving interface.
  It can be extended to support other file formats via a plugin system.
