=== debian/changelog ===
zathura (0.4.7-1) unstable; urgency=medium

  * New upstream release
    - Fix invalid zoom when opening document with "adjust-open width" option
      (Closes: #968082)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Sep 2020 21:47:41 +0200

zathura (0.4.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Jul 2020 18:37:51 +0200
