=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libcairo2-dev (>= 1.8.8),
  libgirara-dev (>= 0.3.3),
  libglib2.0-dev (>= 2.50),
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
