## zathura 0.4.9

=== debian/changelog ===
zathura (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9
  * debian/control:
    - Build depend on libgirara-dev 0.3.7
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Feb 2022 19:35:36 +0100

zathura (0.4.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Aug 2021 22:11:58 +0200

zathura (0.4.8-1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump girara B-D

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 21:36:44 +0200
