=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev (>= 1.8.8),
- libgirara-dev (>= 0.3.3),
+ libgirara-dev (>= 0.3.7),
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
  libmagic-dev,
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -62,7 +62,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.3.2),
+ libgirara-dev (>= 0.3.7),
  libgtk-3-dev (>= 3.22),
  libcairo2-dev (>= 1.8.8),
  libset-scalar-perl
