=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,8 @@
 %:
 	dh $@
 
-debian/dh/dh_zathura.1:
+execute_before_dh_auto_build:
 	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1
-
-override_dh_auto_build: debian/dh/dh_zathura.1
-	dh_auto_build
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test
