## zathura 0.5.2

=== debian/changelog ===
zathura (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * debian/control: Bump ABI version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 17:34:02 +0100

zathura (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 09 Sep 2022 00:24:26 +0200
