=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  xvfb,
  xauth,
  python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -31,7 +31,7 @@
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-4
+ zathura-abi-5
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},
