## zathura 0.5.4

=== meson_options.txt ===
--- 
+++ 
@@ -7,11 +7,6 @@
   type: 'feature',
   value: 'auto',
   description: 'SyncTeX integration'
-)
-option('magic',
-  type: 'feature',
-  value: 'auto',
-  description: 'magic-based MIME type detection'
 )
 option('seccomp',
   type: 'feature',
