=== debian/changelog ===
zathura (0.5.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:18 +1100

zathura (0.5.4-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:20:49 +0000

zathura (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Dec 2023 22:05:39 +0100

zathura (0.5.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Sebastian Ramacher ]
  * New upstream version 0.5.3
  * debian/control:
    - Bump Standards-Version
    - Include PDF in Description (LP: #2031643)
    - Bump ABI version
    - Bump dependencies on girara
  * debian/rules: Refactor

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Dec 2023 18:57:16 +0100
