=== debian/control ===
Source: zathura
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcairo2-dev,
 libgirara-dev (>= 0.4.1),
 libglib2.0-dev,
 libgtk-3-dev,
 libmagic-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libseccomp-dev,
 libsynctex-dev,
 gettext,
 meson,
 pkg-config,
 appstream-util,
 desktop-file-utils,
 check,
 xvfb,
 xauth,
 python3-sphinx
Standards-Version: 4.6.2
Homepage: https://pwmt.org/projects/zathura
Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
Vcs-Browser: https://salsa.debian.org/sramacher/zathura
Rules-Requires-Root: no

Package: zathura
Architecture: any
Provides:
 zathura-abi-6
Depends:
 zathura-pdf-poppler,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests:
 www-browser,
 zathura-ps,
 zathura-djvu,
 zathura-cb
Description: document viewer with a minimalistic interface
 zathura is a document viewer for PDF and other formats with a minimalistic and
 space saving interface. It offers a vim-like experience and has a focus on
 keyboard interaction. The key bindings, commands and most other settings can
 be customized.
 .
 Some of the features are:
  * bookmarking pages
  * printing the whole document or specific pages
  * following links
  * searching in the document
  * browsing the document index
  * SyncTex forward and backward synchronization
 .
 zathura can be extended to support other file formats via a plugin system.

Package: zathura-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libgirara-dev (>= 0.4.1),
 libgtk-3-dev,
 libcairo2-dev,
 libset-scalar-perl
Provides:
 dh-sequence-zathura
Description: development files for zathura plugins
 zathura is a document viewer for PDF and other formats with a minimalistic and
 space saving interface. It offers a vim-like experience and has a focus on
 keyboard interaction. The key bindings, commands and most other settings can
 be customized.
 .
 This package contains the files to develop plugins.
