=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,3 @@
 
 execute_before_dh_auto_build:
 	cd debian/dh && pod2man -c Debhelper -r '' dh_zathura dh_zathura.1
-
-override_dh_auto_test:
-	xvfb-run -a dh_auto_test
