## zathura 0.5.6

=== debian/changelog ===
zathura (0.5.6-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.5.6
  * debian/control: Bump Standards version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 23:46:26 +0200

zathura (0.5.5-1) experimental; urgency=medium

  * New upstream version 0.5.5
  * debian/control:
    - Bump girara to 0.4.3
    - Switch to pkgconf
    - Mark test dependencies with !nocheck
  * debian/patches: Remove no longer required patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Mar 2024 18:21:54 +0100
