=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: zathura
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Ramacher <sramacher@debian.org>
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
- libgirara-dev (>= 0.4.1),
+ libgirara-dev (>= 0.4.3),
  libglib2.0-dev,
  libgtk-3-dev,
  libmagic-dev,
@@ -16,14 +15,14 @@
  libsynctex-dev,
  gettext,
  meson,
- pkg-config,
- appstream-util,
- desktop-file-utils,
- check,
- xvfb,
- xauth,
+ pkgconf,
+ appstream-util <!nocheck>,
+ desktop-file-utils <!nocheck>,
+ check <!nocheck>,
+ xvfb <!nocheck>,
+ xauth <!nocheck>,
  python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
@@ -64,7 +63,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.4.1),
+ libgirara-dev (>= 0.4.3),
  libgtk-3-dev,
  libcairo2-dev,
  libset-scalar-perl
