## zathura 0.5.8

=== debian/changelog ===
zathura (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
  * debian/control: Bump plugin ABI (Closes: #1077898)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 11:12:44 +0200

zathura (0.5.7-2) unstable; urgency=medium

  * debian/control: Remove check from Build-Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:16:50 +0200

zathura (0.5.7-1) unstable; urgency=medium

  * New upstream version 0.5.7
    - Fix display issues with documents having multiple page sizes (Closes:
      #1065319)
    - Add support for loong64 (Closes: 1071025)
  * debian/zathura.install: Install zathura-sandbox binary.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Aug 2024 00:08:23 +0200
