=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  pkgconf,
  appstream-util <!nocheck>,
  desktop-file-utils <!nocheck>,
- check <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
  python3-sphinx
@@ -31,7 +30,7 @@
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-6
+ zathura-abi-7
 Depends:
  zathura-pdf-poppler,
  ${shlibs:Depends},
