## zathura 0.5.11

=== debian/changelog ===
zathura (0.5.11-1) unstable; urgency=medium

  * New upstream version 0.5.11

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 Dec 2024 00:33:12 +0100

zathura (0.5.10-1) unstable; urgency=medium

  * New upstream version 0.5.10

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Dec 2024 22:32:04 +0100

zathura (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
    - Revert changes for multi-size documents (Closes: #1086391)
  * debian/control: Bump libgirara-dev to 0.4.5

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2024 23:42:53 +0100
