=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
- libgirara-dev (>= 0.4.3),
+ libgirara-dev (>= 0.4.5),
  libglib2.0-dev,
  libgtk-3-dev,
  libmagic-dev,
@@ -62,7 +62,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libgirara-dev (>= 0.4.3),
+ libgirara-dev (>= 0.4.5),
  libgtk-3-dev,
  libcairo2-dev,
  libset-scalar-perl
