=== debian/changelog ===
zathura (0.5.12-3) unstable; urgency=medium

  * debian/patches: Fix types to fix flag handling on s390x

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Jul 2025 21:56:12 +0200

zathura (0.5.12-2) unstable; urgency=medium

  * debian/tests: Check that plugins can be loaded

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Jul 2025 09:12:58 +0200

zathura (0.5.12-1) experimental; urgency=medium

  * New upstream version 0.5.12
    - Fix rendering of large documents (Closes: #1079283)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Jul 2025 23:40:33 +0200
