=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  xvfb <!nocheck>,
  xauth <!nocheck>,
  python3-sphinx
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
