## zathura 0.5.13

=== debian/changelog ===
zathura (0.5.13-1) unstable; urgency=medium

  * New upstream version 0.5.13
  * debian/patches: Remove patches included upstream
  * debian/control: Replace appstream-cli with appstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Sep 2025 11:42:05 +0200
