=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  gettext,
  meson,
  pkgconf,
- appstream-util <!nocheck>,
+ appstream <!nocheck>,
  desktop-file-utils <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
