## zathura 0.5.14

=== debian/changelog ===
zathura (0.5.14-3) unstable; urgency=medium

  * debian/patches: Apply upstream patch to fix FTBFS on armhf

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 Oct 2025 21:34:39 +0100

zathura (0.5.14-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches to fix build on 32 bit release
    architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 30 Oct 2025 21:00:26 +0100

zathura (0.5.14-1) unstable; urgency=medium

  * New upstream version 0.5.14
    - Remove plain database conversion (Closes: #1077961)
  * debian/control: Add Build-Depends on weston for new tests

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Oct 2025 22:08:57 +0100
