=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  desktop-file-utils <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
+ weston <!nocheck>,
  python3-sphinx
 Standards-Version: 4.7.2
 Homepage: https://pwmt.org/projects/zathura
