=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 # Use all hardening flags for zathura
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-# Disable check's timeout functionality
-export CK_DEFAULT_TIMEOUT=0
 
 %:
 	dh $@
