## zathura 2026.02.03

=== debian/changelog ===
zathura (2026.02.03-1) unstable; urgency=medium

  * New upstream version 2026.02.03
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
    - Drop Priority: optional
    - Bump libgirara-dev to 2026.02.03
    - Add libjson-glib-dev to Build-Depends
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 07 Feb 2026 21:48:52 +0100
