## zathura 2026.02.09

=== debian/changelog ===
zathura (2026.02.09-1) unstable; urgency=medium

  * New upstream version 2026.02.09

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Feb 2026 00:09:12 +0100
