=== debian/control ===
--- 
+++ 
@@ -1,46 +1,45 @@
 Source: zathura
 Section: text
-Priority: optional
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ appstream <!nocheck>,
+ desktop-file-utils <!nocheck>,
+ gettext,
  libcairo2-dev,
- libgirara-dev (>= 0.4.5),
+ libgirara-dev (>= 2026.02.03),
  libglib2.0-dev,
  libgtk-3-dev,
+ libjson-glib-dev,
  libmagic-dev,
  librsvg2-bin,
+ libseccomp-dev,
  libsqlite3-dev,
- libseccomp-dev,
  libsynctex-dev,
- gettext,
  meson,
  pkgconf,
- appstream <!nocheck>,
- desktop-file-utils <!nocheck>,
+ python3-sphinx,
+ weston <!nocheck>,
+ xauth <!nocheck>,
  xvfb <!nocheck>,
- xauth <!nocheck>,
- weston <!nocheck>,
- python3-sphinx
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://pwmt.org/projects/zathura
 Vcs-Git: https://salsa.debian.org/sramacher/zathura.git
 Vcs-Browser: https://salsa.debian.org/sramacher/zathura
-Rules-Requires-Root: no
 
 Package: zathura
 Architecture: any
 Provides:
- zathura-abi-7
+ zathura-abi-7,
 Depends:
  zathura-pdf-poppler,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
 Suggests:
  www-browser,
+ zathura-cb,
+ zathura-djvu,
  zathura-ps,
- zathura-djvu,
- zathura-cb
 Description: document viewer with a minimalistic interface
  zathura is a document viewer for PDF and other formats with a minimalistic and
  space saving interface. It offers a vim-like experience and has a focus on
@@ -62,13 +61,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libcairo2-dev,
+ libgirara-dev (>= 2026.02.03),
+ libgtk-3-dev,
+ libset-scalar-perl,
  ${misc:Depends},
- libgirara-dev (>= 0.4.5),
- libgtk-3-dev,
- libcairo2-dev,
- libset-scalar-perl
 Provides:
- dh-sequence-zathura
+ dh-sequence-zathura,
 Description: development files for zathura plugins
  zathura is a document viewer for PDF and other formats with a minimalistic and
  space saving interface. It offers a vim-like experience and has a focus on
