## zathura 2026.02.22

=== debian/changelog ===
zathura (2026.02.22-1) unstable; urgency=medium

  * New upstream version 2026.02.22

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Feb 2026 20:41:36 +0100
