=== debian/tests/control ===
Tests:
 plugin-pdf,
Depends:
 zathura,

Tests:
 plugins-all,
Depends:
 zathura,
 zathura-cb,
 zathura-djvu,
 zathura-ps,
