=== debian/watch ===
Version: 5

Source: https://pwmt.org/projects/zathura/download/
Matching-Pattern: zathura-(.*)\.tar\.xz
